NotificationControllerToggleNotifications Method |
PUT /Notification/Toggle
Toggles the status of multiple notifications.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Toggle")]
public IActionResult ToggleNotifications(
[FromBodyAttribute] IList<KeyValuePairData> toggleOptions,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Toggle")>
Public Function ToggleNotifications (
<FromBodyAttribute> toggleOptions As IList(Of KeyValuePairData),
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Toggle")]
IActionResult^ ToggleNotifications(
[FromBodyAttribute] IList<KeyValuePairData^>^ toggleOptions,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Toggle")>]
member ToggleNotifications :
[<FromBodyAttribute>] toggleOptions : IList<KeyValuePairData> *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- toggleOptions
- Type: System.Collections.GenericIListKeyValuePairData
A collection of key-value pairs consisting of the notification ID and the state to update to. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
See Also